CMSIS-DAP: CMSIS-DAP Timestamp

| CMSIS-DAP Version 2.1.1 Interface Firmware for CoreSight Debug Access Port

- Main Page
- Usage and Description
- Reference

All Functions Groups Pages
Functions
CMSIS-DAP Timestamp
Configure I/O ports and debug unit

Access function for Test Domain Timer. More...

## Functions

__STATIC_INLINE uint32_t | TIMESTAMP_GET (void)
| Get timestamp of Test Domain Timer. More...

## Description

Access function for Test Domain Timer.

The value of the Test Domain Timer in the Debug Unit is returned by the function TIMESTAMP_GET. By default, the DWT timer is used. The frequency of this timer is configured with TIMESTAMP_CLOCK.

## Function Documentation

__STATIC_INLINE uint32_t TIMESTAMP_GET | ( | void |  | ) |

Get timestamp of Test Domain Timer.

Returns
  Current timestamp value.